Bug 236901 - unable to mount multiseason dvd, worked with kernel with 2.6.20-1.3017.fc7
unable to mount multiseason dvd, worked with kernel with 2.6.20-1.3017.fc7
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 07:37 EDT by Knut J BJuland
Modified: 2008-04-04 03:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 03:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesh after mount (33.56 KB, text/plain)
2007-04-24 13:16 EDT, Knut J BJuland
no flags Details
dmesg before mount (31.64 KB, text/plain)
2007-04-24 13:17 EDT, Knut J BJuland
no flags Details
cat /proc modules (3.71 KB, application/octet-stream)
2007-04-24 13:18 EDT, Knut J BJuland
no flags Details
information about the dvd that I tried to mount. (42.12 KB, image/jpeg)
2007-04-24 15:11 EDT, Knut J BJuland
no flags Details

  None (edit)
Description Knut J BJuland 2007-04-18 07:37:25 EDT
Description of problem:

unable to mount multiseason dvd, worked with kernel withouth no_hz, with forced
mount as root.
Version-Release number of selected component (if applicable):
2.6.20-1.3079

How reproducible:
every time

Steps to Reproduce:
1. sudo mount -t udf /dev/scd0 /mnt/cdrom
2.
3.
  
Actual results:
sr0: rw=0, want=4683236, limit=4
attempt to access beyond end of device
sr0: rw=0, want=4683012, limit=4
attempt to access beyond end of device
sr0: rw=0, want=5709668, limit=4
attempt to access beyond end of device
sr0: rw=0, want=1252, limit=4
attempt to access beyond end of device
sr0: rw=0, want=1028, limit=4
UDF-fs: No partition found (1)


Expected results:
should mount as with earlier kernels.

Additional info:
Comment 1 Dave Jones 2007-04-23 11:59:40 EDT
I can't imagine why HZ would make any difference at all to the affected code.

Can you attach a full dmesg ?
Comment 2 Knut J BJuland 2007-04-24 13:16:44 EDT
Created attachment 153371 [details]
dmesh after mount
Comment 3 Knut J BJuland 2007-04-24 13:17:22 EDT
Created attachment 153372 [details]
dmesg before mount
Comment 4 Knut J BJuland 2007-04-24 13:18:06 EDT
Created attachment 153373 [details]
cat /proc modules
Comment 5 Knut J BJuland 2007-04-24 15:11:10 EDT
Created attachment 153378 [details]
information about the dvd that I tried to mount.

It is a unencrypted dvd-video which contain a movie about my dog.
Comment 6 Knut J BJuland 2007-04-24 15:50:14 EDT
dvdinformation

INQUIRY:                [PHILIPS ][DVD+-RW DVD8631 ][BD10]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         1Bh, DVD+R
 Current Write Speed:   16.0x1385=22160KB/s
 Write Speed #0:        16.0x1385=22160KB/s
 Write Speed #1:        12.0x1385=16620KB/s
 Write Speed #2:        8.0x1385=11080KB/s
 Write Speed #3:        4.0x1385=5540KB/s
 Write Speed #4:        2.4x1385=3324KB/s
GET [CURRENT] PERFORMANCE:
 Write Performance:     16.0x1385=22160KB/s@[0 -> 2295103]
 Speed Descriptor#0:    00/2295103 R@3.5x1385=4787KB/s W@16.0x1385=22160KB/s
 Speed Descriptor#1:    00/2295103 R@3.5x1385=4787KB/s W@12.0x1385=16620KB/s
 Speed Descriptor#2:    00/2295103 R@3.5x1385=4787KB/s W@8.0x1385=11080KB/s
 Speed Descriptor#3:    00/2295103 R@3.5x1385=4787KB/s W@4.0x1385=5540KB/s
 Speed Descriptor#4:    00/2295103 R@3.5x1385=4787KB/s W@2.4x1385=3324KB/s
READ DVD STRUCTURE[#0h]:
 Media Book Type:       00h, DVD-ROM book [revision 0]
 Media ID:              MCC/004
 Legacy lead-out at:    2295104*2KB=4700372992
READ DISC INFORMATION:
 Disc status:           appendable
 Number of Sessions:    1
 State of Last Session: incomplete
 "Next" Track:          1
 Number of Tracks:      2
READ TRACK INFORMATION[#1]:
 Track State:           reserved
 Track Start Address:   0*2KB
 Next Writable Address: 0*2KB
 Free Blocks:           15872*2KB
 Track Size:            15872*2KB
READ TRACK INFORMATION[#2]:
 Track State:           invisible
 Track Start Address:   15888*2KB
 Next Writable Address: 1811856*2KB
 Free Blocks:           483248*2KB
 Track Size:            2279216*2KB
 ROM Compatibility LBA: 265696
READ CAPACITY:          0*2048=0
Comment 7 Knut J BJuland 2007-07-24 03:09:56 EDT
Windows Xp is also unable to mount the disk
Comment 8 Bug Zapper 2008-04-03 20:08:51 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Knut J BJuland 2008-04-04 03:50:41 EDT
The disc in question did not mount in windows either. It works no after the disc
was finalized.

Note You need to log in before you can comment on or make changes to this bug.